Linux安全网 - Linux操作系统_Linux 命令_Linux教程_Linux黑客

绿色网站无广告
会员投稿 投稿指南 本期推荐: 强烈推荐:Ylmf OS 3.0 正式版发布附迅雷高 XP系统下硬盘安装Fedora 14图文教程
搜索:
您的位置: Linux安全网 > Linux入门 > » 正文

无法升级至Windows 7 SP1

来源: jiating227 分享至:

故障描述

给用户的Windows 7系统升级SP1补丁包时总是提示:“Windows 7 Service Pack 1的最新版本已安装”,如图1。实际上SP1并没有安装。
1
图1
查看计算机属性发现当前Service Pack竟然为SP2,如图2。我们都知道截止到目前微软发布的最新服务包才SP1,真是玩了一次不小的穿越。2
图2

原因分析

经过和用户沟通得知,原来他自己曾经使用过第三方工具Windows优化大师胡乱修改过系统版本的属性信息。而SP1在安装的时候会先检查注册表中某个键值判断当前有没有安装补丁包,如果安装了就不会继续安装。

解决方案

1. 打开“注册表编辑器”,定位到“HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows”,会发现CSDVersion值修改为了十六进制的0x200,如图3所示。 3
图3
2. 双击它修改为0,然后重启计算机后重新安装SP1补丁包就行了。

补充说明

1. 如果没有安装任何SP,CSDVersion值为0;如果安装了SP1,则为0x100;如果安装了SP2,则为0x200,以此类推。
2. 该方法同样适合后续SP2、SP3……升级时遭遇的同样故障。


Tags:
分享至:
最新图文资讯
1 2 3 4 5 6
验证码:点击我更换图片 理智评论文明上网,拒绝恶意谩骂 用户名:
关于我们 - 联系我们 - 广告服务 - 友情链接 - 网站地图 - 版权声明 - 发展历史